Package org.jfree.report.modules.gui.swing.preview

# Class PreviewPane

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
org.jfree.report.modules.gui.swing.preview.PreviewPane

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class PreviewPane extends JPanel
Creation-Date: 11.11.2006, 19:36:13

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JPanel

`JPanel.AccessibleJPanel`

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLOSED_PROPERTY`
`static final String`
`ICON_THEME_PROPERTY`
`static final String`
`MENU_PROPERTY`
`static final String`
`NUMBER_OF_PAGES_PROPERTY`
`static final String`
`PAGE_NUMBER_PROPERTY`
`static final String`
`PAGINATING_PROPERTY`
`static final String`
`REPORT_CONTROLLER_PROPERTY`
`static final String`
`REPORT_JOB_PROPERTY`
`static final String`
`STATUS_TEXT_PROPERTY`
`static final String`
`STATUS_TYPE_PROPERTY`
`static final String`
`TITLE_PROPERTY`
`static final String`
`ZOOM_PROPERTY`

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`PreviewPane()`
Creates a new `JPanel` with a double buffer and a flow layout.

## Method Summary

Modifier and Type
Method
Description
`IconTheme`
`getIconTheme()`
`Locale`
`getLocale()`
`JMenu[]`
`getMenu()`
`Object`
`getNoReportDrawable()`
`int`
`getNumberOfPages()`
`int`
`getPageNumber()`
`Object`
`getPaginatingDrawable()`
`PrintReportProcessor`
`getPrintReportProcessor()`
`ReportController`
`getReportController()`
`ReportJob`
`getReportJob()`
`String`
`getStatusText()`
`int`
`getStatusType()`
`SwingGuiContext`
`getSwingGuiContext()`
`String`
`getTitle()`
`JToolBar`
`getToolBar()`
`double`
`getZoom()`
`double[]`
`getZoomFactors()`
`KeyedComboBoxModel`
`getZoomModel()`
`protected void`
`initializeFromReport()`
`protected void`
`initializeWithoutJob()`
`boolean`
`isClosed()`
`boolean`
`isPaginating()`
`void`
`refreshReportController(ReportController newReportController)`
`void`
`setClosed(boolean closed)`
`protected void`
`setIconTheme(IconTheme theme)`
`protected void`
`setMenu(JMenu[] menus)`
`void`
`setNoReportDrawable(Object noReportDrawable)`
`void`
`setNumberOfPages(int numberOfPages)`
`void`
`setPageNumber(int pageNumber)`
`void`
`setPaginating(boolean paginating)`
`void`
`setPaginatingDrawable(Object paginatingDrawable)`
`protected void`
`setPrintReportProcessor(PrintReportProcessor printReportProcessor)`
`void`
`setReportController(ReportController reportController)`
`void`
`setReportJob(ReportJob reportJob)`
`void`
`setStatusText(String statusText)`
`void`
`setStatusType(int statusType)`
`void`
`setTitle(String title)`
`void`
`setZoom(double zoom)`
`protected void`
`updateVisiblePage(int pageNumber)`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PAGE_NUMBER_PROPERTY

public static final String PAGE_NUMBER_PROPERTY

See Also:
  - Constant Field Values

### NUMBER_OF_PAGES_PROPERTY

public static final String NUMBER_OF_PAGES_PROPERTY

See Also:
  - Constant Field Values

### STATUS_TEXT_PROPERTY

public static final String STATUS_TEXT_PROPERTY

See Also:
  - Constant Field Values

### STATUS_TYPE_PROPERTY

public static final String STATUS_TYPE_PROPERTY

See Also:
  - Constant Field Values

### REPORT_CONTROLLER_PROPERTY

public static final String REPORT_CONTROLLER_PROPERTY

See Also:
  - Constant Field Values

### REPORT_JOB_PROPERTY

public static final String REPORT_JOB_PROPERTY

See Also:
  - Constant Field Values

### ZOOM_PROPERTY

public static final String ZOOM_PROPERTY

See Also:
  - Constant Field Values

### CLOSED_PROPERTY

public static final String CLOSED_PROPERTY

See Also:
  - Constant Field Values

### PAGINATING_PROPERTY

public static final String PAGINATING_PROPERTY

See Also:
  - Constant Field Values

### ICON_THEME_PROPERTY

public static final String ICON_THEME_PROPERTY

See Also:
  - Constant Field Values

### TITLE_PROPERTY

public static final String TITLE_PROPERTY

See Also:
  - Constant Field Values

### MENU_PROPERTY

public static final String MENU_PROPERTY

See Also:
  - Constant Field Values

## Constructor Details

### PreviewPane

public PreviewPane()
Creates a new `JPanel` with a double buffer and a flow layout.

## Method Details

### getPrintReportProcessor

public PrintReportProcessor getPrintReportProcessor()

### setPrintReportProcessor

protected void setPrintReportProcessor(PrintReportProcessor printReportProcessor)

### getMenu

public JMenu[] getMenu()

### setMenu

protected void setMenu(JMenu[] menus)

### getToolBar

public JToolBar getToolBar()

### getStatusText

public String getStatusText()

### setStatusText

public void setStatusText(String statusText)

### getStatusType

public int getStatusType()

### setStatusType

public void setStatusType(int statusType)

### getReportController

public ReportController getReportController()

### setReportController

public void setReportController(ReportController reportController)

### refreshReportController

public void refreshReportController(ReportController newReportController)

### getReportJob

public ReportJob getReportJob()

### setReportJob

public void setReportJob(ReportJob reportJob)

### getZoom

public double getZoom()

### setZoom

public void setZoom(double zoom)

### isClosed

public boolean isClosed()

### setClosed

public void setClosed(boolean closed)

### getLocale

public Locale getLocale()

Overrides:
  `getLocale` in class `Component`

### getNumberOfPages

public int getNumberOfPages()

### setNumberOfPages

public void setNumberOfPages(int numberOfPages)

### getPageNumber

public int getPageNumber()

### setPageNumber

public void setPageNumber(int pageNumber)

### getIconTheme

public IconTheme getIconTheme()

### setIconTheme

protected void setIconTheme(IconTheme theme)

### initializeFromReport

protected void initializeFromReport()

### getSwingGuiContext

public SwingGuiContext getSwingGuiContext()

### getZoomModel

public KeyedComboBoxModel getZoomModel()

### initializeWithoutJob

protected void initializeWithoutJob()

### getTitle

public String getTitle()

### setTitle

public void setTitle(String title)

### getZoomFactors

public double[] getZoomFactors()

### isPaginating

public boolean isPaginating()

### setPaginating

public void setPaginating(boolean paginating)

### getNoReportDrawable

public Object getNoReportDrawable()

### setNoReportDrawable

public void setNoReportDrawable(Object noReportDrawable)

### getPaginatingDrawable

public Object getPaginatingDrawable()

### setPaginatingDrawable

public void setPaginatingDrawable(Object paginatingDrawable)

### updateVisiblePage

protected void updateVisiblePage(int pageNumber)